fuss-server - Segnalazione #183

Captive portal: fa il login, ma non naviga
02/08/2017 12:40 PM - Elena Grandi

Status: Chiuso Start date: 02/08/2017
Priority: Normale Due date:

Assignee: Simone Piccardi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Provata l'installazione di captive portal su fuss-server creato da zero usando Fuss_Captive_Portal, lanciato un fuss-client,
configurato firefox per avere I'autoconfigurazione del proxi e provato a navigare.

Viene rediretto alla pagina di auth di coova, faccio login con l'utente appena creato, ri-redirect sulla pagina richiesta, ma rimane in
attesa.

In /var/log/freeradius/radius.log vedo un login OK per |'utente con cui ho cercato di loggarmi.

Allego il risultato di iptables -n -v -L sul server

History

#1 - 02/09/2017 11:53 AM - Elena Grandi

Riprovato con le ultime modifiche ed & peggio ancora: adesso sia con l'autoconfigurazione del proxy che con il proxy impostato manualmente su
[indirizzo cp del server]:8081 non raggiunge neanche la pagina per I'auth

#2 - 02/28/2017 10:12 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi
Ho fatto vari test nel frattempo, con correzioni al firewall e al DNS per evitare dei blocchi. Al momento configurando manualmente il proxy funziona
tutto, ma a quanto pare non viene fatta I'autoconfigurazione del browser.

In particolare coova-chilli non fornisce nessun pac file per wpad (non & compilato, vedi #198). Occorre riprovare il funzionamento una volta abilitato
quel supporto.

#3 - 03/02/2017 02:39 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Simone Piccardi

Dopo aver ribuildato coova-chilli con supporto per wpad ho fatto una prova e — previa configurazione di firefox per usare l'autoconfigurazione del
proxy — sono riuscita a navigare.

Vuoi fare anche tu un altra prova oppure qui possiamo chiudere?

#4 - 03/02/2017 08:52 PM - Simone Piccardi

- Status changed from Commenti to Chiuso

Fatto prova con una ubuntu e firefox e ha funzionato senza problemi. Direi che possiamo chiudere.
https://work.fuss.bz.it/projects/server/wiki/Fuss_Captive_Portal
https://work.fuss.bz.it/issues/198

#5 - 03/02/2017 08:56 PM - Simone Piccardi

Ah, dimenticavo, funziona anche con chrome

Files

iptables_server 5.71 KB 02/08/2017 Elena Grandi
